this.name           = "autoSkimmer-Main"
this.author         = "Okti"
this.copyright      = "(C) Okti"
this.licence        = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0"
this.description    = "autoSkimmer-Main.";
this.version        = "0.9.2"

this.startUp = function()
{
	this.trackId = null;
}
this.activateTracking = function()
{
	this.autoskimmer = system.addShips("autoskimmer",1,player.ship.position.add(player.ship.vectorRight.multiply(100)).add(player.ship.vectorUp.multiply(100)),0)[0];
	this.autoskimmer.orientation = player.ship.orientation;
	this.trackId = addFrameCallback(this.followAutoSkimmer.bind(this));
	player.consoleMessage("Auto Skimming Computer engaged",6);

}
this.deactivateTracking = function()
{
	if(isValidFrameCallback(this.trackId))
	{
		removeFrameCallback(this.trackId);
		this.autoskimmer.remove(true);
		player.consoleMessage("Auto Skimming Computer disengaged",6);

	}
}
this.followAutoSkimmer = function()
{
	player.ship.orientation = this.autoskimmer.orientation;
	player.ship.position=this.autoskimmer.position.add(this.autoskimmer.vectorRight.multiply(-100)).add(this.autoskimmer.vectorUp.multiply(-100));
}
this.shipWillEnterWitchspace = function(cause)
{
	this.deactivateTracking();
}
this.shipWillDockWithStation = function(station)
{
	this.deactivateTracking();
}
